import request from '/@/utils/request';

/**
 * 分页查询宿舍点名列表
 * @param query
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/dormsignrecord/page',
    method: 'get',
    params: query
  });
};

/**
 * 新增宿舍点名
 * @param data
 */
export const addObj = (data: any) => {
  return request({
    url: '/stuwork/dormsignrecord',
    method: 'post',
    data
  });
};

/**
 * 初始化宿舍学生信息用于考勤
 */
export const initDormStuInfoForAttendance = () => {
  return request({
    url: '/stuwork/dormsignrecord/task/initDormStuInfoForAttendance',
    method: 'get'
  });
};
